//
// HelloAPI.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation
import Alamofire


open class HelloAPI {
    /**
     Hello

     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func hello(completion: @escaping ((_ data: HelloGet?,_ error: Error?) -> Void)) {
        helloWithRequestBuilder().execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     Hello
     - GET /api/v1/hello
     - 

     - examples: [{contentType=application/json, example={
  "message" : "message",
  "version" : "version"
}}]

     - returns: RequestBuilder<HelloGet> 
     */
    open class func helloWithRequestBuilder() -> RequestBuilder<HelloGet> {
        let path = "/api/v1/hello"
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<HelloGet>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
}
